### Method

# Gdk FrameClockbegin_updating

#### Declaration [src]

    void
    gdk_frame_clock_begin_updating (
      GdkFrameClock* frame_clock
    )

#### Description [src]

Starts updates for an animation.

Until a matching call to `gdk_frame_clock_end_updating()` is made, the frame clock will continually request a new frame with the `GDK_FRAME_CLOCK_PHASE_UPDATE` phase. This function may be called multiple times and frames will be requested until `gdk_frame_clock_end_updating()` is called the same number of times.